Logica

## Class Transaccion

- java.lang.Object
- - Logica.Transaccion

All Implemented Interfaces:
  java.io.Serializable

    public class Transaccion
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Transaccion(java.lang.String nombre, float dinero, java.time.LocalDate dia, Gestion gestion)` Constructor de transaccion

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `alterarVisivilidad()` invierte la visibilidad de la transaccion y la devuelve
`void` `aniadirse()` Se aniade al gasto al que pertenece;
`java.time.LocalDate` `getDia()` Devuelve la fecha de la transaccion
`float` `getDinero()` Devuelve la cantidad de dinero que contiene
`Gestion` `getGestion()` Devuelve la gestion a la que pertenece
`java.lang.String` `getNombre()` devuelve el nombre de la transaccion
`boolean` `getVisivilidad()` devuelve si la transaccion se contara en la gestion o no
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Transaccion

    public Transaccion(java.lang.String nombre,
                       float dinero,
                       java.time.LocalDate dia,
                       Gestion gestion)

Constructor de transaccion

Parameters:
  `nombre` - ombre de la transaccion
  `dinero` - cantidad de dinero de la transaccion
  `dia` - dia en el que se creo o al que pertenece la transaccion
  `gestion` - gestion a la que pertenece la transaccion

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getVisivilidad

    public boolean getVisivilidad()

devuelve si la transaccion se contara en la gestion o no

Returns:
  visibilidad de la transaccion

#### alterarVisivilidad

    public boolean alterarVisivilidad()

invierte la visibilidad de la transaccion y la devuelve

Returns:
  nueva visibilidad

#### getDinero

    public float getDinero()

Devuelve la cantidad de dinero que contiene

Returns:
  dinero de la transaccion

#### getDia

    public java.time.LocalDate getDia()

Devuelve la fecha de la transaccion

Returns:
  Fecha de la transaccion

#### aniadirse

    public void aniadirse()

Se aniade al gasto al que pertenece;

#### getGestion

    public Gestion getGestion()

Devuelve la gestion a la que pertenece

Returns:
  gestion a la que pertenece

#### getNombre

    public java.lang.String getNombre()

devuelve el nombre de la transaccion

Returns:
  nombre de la transaccion